package com.salpa.subject.domain.render;



import com.salpa.subject.domain.data.DatabaseMeta;
import com.salpa.subject.domain.render.markdown.MarkdownTemplateRender;

import java.io.IOException;
import java.io.OutputStream;

public interface Render {

    void rendering(DatabaseMeta meta, OutputStream outputStream) throws IOException;

    static Render markdownRender(RenderConfig configuration) {
        return new MarkdownTemplateRender(configuration);
    }

}
